<template>
  <section>
    <h4>A palindrome is a word that reads the same backward or forward.
Write a function that checks if a given word is a palindrome. Character case
should be ignored.</h4>
    <div id="searchBox">
      <label id="inputWord">
        Enter palindrome:
        <input v-model="word" @keyup.enter="isPalindrome"></input>
      </label>
      <button @click="isPalindrome">Check palindrome</button>
    </div>
    <p v-if="result !== ''">{{`Palindrome result: ${word} = ${result}`}}</p>
  </section>
</template>

<script>
  export default {
    data() {
      return {
        word: '',
        result: ''
      }
    },
    watch: {
      word() {
        const vm = this
        vm.result = ''
      }
    },
    methods: {
      isPalindrome() {
        const vm = this
        if (vm.word) {
          let word = vm.word.toLowerCase()
          let reverseString = word.split('').reverse().join('');
          word === reverseString ? vm.result = true : vm.result = false
        }
      }
    }
  }
</script>

<style scoped>
  input {
    outline: none;
    border-radius: 4px !important;
    border: solid 1px #c4c4c4 !important;
    background-color: #ffffff;
    padding: 5px 10px 5px 10px;
  }
  input:focus {
    border: 1px solid #36a3f7 !important;
    border-radius: 4px;
  }
  button {
    cursor: pointer;
    outline: none;
    border: none !important;
    padding: 5px;
    border-radius: 5px;
    background: #3b8aff;
    color: white;
    box-shadow: 0px 3px 1px -2px rgba(0, 0, 0, 0.2),
    0px 2px 2px 0px rgba(0, 0, 0, 0.14),
    0px 1px 5px 0px rgba(0, 0, 0, 0.1)
  }
</style>